Name:           gstreamermm
Version:        0.9.5
Release:        1%{?dist}

Summary:        C++ wrapper for GStreamer library

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.gtkmm.org/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/gstreamermm/0.9/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: glibmm24-devel >= 2.8.0
BuildRequires: gstreamer-devel >= 0.10
BuildRequires: gstreamer-plugins-base-devel >= 0.10
BuildRequires: doxygen


%description
GStreamermm is a C++ wrapper library for the multimedia library
GStreamer (http://gstreamer.freedesktop.org).  It is designed to allow
C++ development of applications that work with multi-media.


%package        devel
Summary:        Headers for developing programs that will use %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       glibmm24-devel
Requires:       gstreamer-plugins-base-devel
Requires:       gstreamer-devel


%description devel
This package contains the static libraries and header files needed for
developing gstreamermm applications.


%prep
%setup -q


%build
%configure --enable-shared --disable-examples --enable-docs --disable-dependency-tracking
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
# Move documentation to gtk-doc directory
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html
mv $RPM_BUILD_ROOT%{_docdir}/%{name}-0.10/docs/reference/html $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html/%{name}-0.10
# Removing code generation script stuff
rm -rf $RPM_BUILD_ROOT%{_libdir}/gstreamermm-0.10
rm -rf $RPM_BUILD_ROOT%{_libdir}/gstreamerbasemm-0.10


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/*.so.*


%files devel
%defattr(-, root, root, -)
%doc %{_datadir}/gtk-doc/html/%{name}-0.10
%{_includedir}/gstreamermm-0.10
%{_includedir}/gstreamerbasemm-0.10
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat May 31 2008 Denis Leroy <denis@poolshark.org> - 0.9.5-1
- Update to upstream 0.9.5
- Fixed gstreamer plugin BuildRequires 

* Fri Feb 22 2008 Denis Leroy <denis@poolshark.org> - 0.9.4-1
- Updated to upstream 0.9.4

* Sun Feb 17 2008 Denis Leroy <denis@poolshark.org> - 0.9.2-1
- First draft

